package com.ynet.life.image;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeConstants;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.util.RandomGenerator;
import com.ynet.util.algorithm.RandomStringUtils;
import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.image.BufferedImage;
import java.io.UnsupportedEncodingException;
import java.util.Arrays;
import java.util.HashSet;
import org.apache.axis.utils.StringUtils;

/* loaded from: com_ynet_life_image.jar:com/ynet/life/image/GenerateConfirmImageAction.class */
public class GenerateConfirmImageAction extends LifeAction {
    private static final int CODE_LENGTH = 4;
    private String recAccountNoField;
    private String recAccountNameField;
    private String amountField;
    private int width = 25;
    private int height = 40;
    private String imageField = LifeConstants.TRAN_VERIFICATION_IMAGE;

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v30, types: [java.lang.String] */
    /* JADX WARN: Type inference failed for: r0v8, types: [boolean] */
    public String execute(Context context) throws GENEException {
        String trxCode;
        String recAccountNo = (String) context.get(this.recAccountNoField);
        String recAccountName = (String) context.get(this.recAccountNameField);
        try {
            trxCode = (String) context.get("trxCode");
        } catch (Exception unused) {
            trxCode = "";
        }
        UnsupportedEncodingException isEmpty = StringUtils.isEmpty(trxCode);
        if (isEmpty != 0) {
            throw new TranFailException("EBLN5018", "交易码为空!");
        }
        try {
            isEmpty = new String(recAccountName.trim().getBytes("ISO-8859-1"), "utf-8");
        } catch (UnsupportedEncodingException e) {
            isEmpty.printStackTrace();
        }
        context.get(this.amountField);
        Integer[] codePositionRec = RandomGenerator.getCodePositions(recAccountNo, 0, CODE_LENGTH);
        HashSet positionSetRec = new HashSet(Arrays.asList(codePositionRec));
        this.width = 56 + (recAccountNo.length() * 12);
        ImageGenerator genenrator = new ImageGenerator(this.width, this.height);
        String colorStr = RandomStringUtils.random(1, "0-3", "");
        String checkCode = getCode(recAccountNo, codePositionRec, CODE_LENGTH);
        setBackGroundImage();
        genenrator.addLine(" ", recAccountNo, true, positionSetRec, colorStr, false, "");
        BufferedImage image = genenrator.getImage();
        context.put(this.imageField, image);
        context.put("transferConfirmCode", checkCode);
        return "0";
    }

    private String getCode(String text, Integer[] codePosition, int length) {
        StringBuffer result = new StringBuffer();
        for (int i = 0; i < length; i++) {
            result.append(text.charAt(codePosition[i].intValue()));
        }
        return result.toString();
    }

    private void setBackGroundImage() {
        BufferedImage image = new BufferedImage(this.width, this.height, 1);
        Graphics2D graphic = image.getGraphics();
        graphic.setColor(new Color(14411752));
        graphic.fillRect(0, 0, this.width, this.height);
        ImageGenerator.setBackground(image);
    }

    public void setRecAccountNoField(String recAccountNoField) {
        this.recAccountNoField = recAccountNoField;
    }

    public void setRecAccountNameField(String recAccountNameField) {
        this.recAccountNameField = recAccountNameField;
    }

    public void setAmountField(String amountField) {
        this.amountField = amountField;
    }
}
